extends Scene


func _on_fountain_pool_interacted() -> void:
	$kq4_003_fountain_pool.default_script(self)


func _on_forest_path_interacted() -> void:
	$kq4_010_forest_path.default_script(self)


func _on_frog_pond_interacted() -> void:
	$kq4_015_frog_pond.default_script(self)


func _on_back_of_fishermans_shack_interacted() -> void:
	$kq4_008_back_of_fishermans_shack.default_script(self)


func _on_boulder_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("A large rock dominates the clearing.")
	).build(self, "_on_script_complete"))


func _on_pool_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("It's too far in the distance to see it clearly.")
	).build(self, "_on_script_complete"))


func _on_flowers_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("There are flowers here and there.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You are in a shady wooded area.")
	).build(self, "_on_script_complete"))
